Subject: gvfs and/or sftp bugs and pain points

From: P <[email-masked]>
Date: Tue, 09 Jul 2019 13:44:13 +0000

First, the milder pain points:

[14:38:30] <raingloom> heyyy, which package has the gio command? it's apparently not in gvfs.
[14:39:51] <raingloom> oh wait, nevermind, i think i found it through Arch's pkgfile
[14:40:17] <raingloom> ...nope, false alarm
[14:49:27] <bricewge> raingloom: It's in `glib:bin`
[14:52:12] <raingloom> bricewge, thanks! i forgot about the multiple outputs thing >_>
[14:54:51] <raingloom> ok, well, it says "unable to find supported ssh command" when i try to mount an sftp endpoint

The ssh command _was_ present, but it turned out I had to also enable the service in /etc/config.scm.

Now I've mounted the remote file system from Thunar and while I can navigate it, I can't open any of the files, "open terminal here" also doesn't work. I tried opening a text file with Emacs and it just showed an empty file. I looked at /run/user/1000/gvfs and it's empty, but running `gio mount` tells me the endpoint is already mounted.